package com.ywt.mg.domain.mealEntities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: daiyihua
 * @date: 2019/3/9
 */
@Entity
@Table(name = "user_meal_order_view")
public class UserMealOrderView implements Serializable {
    private static final long serialVersionUID = 1L;
    @Column(name = "id", nullable = false)
    @Id
    private Integer id;

    @Column(name = "order_id")
    private String orderId;

    @Column(name = "order_no")
    private String orderNo;

    @Column(name = "type")
    private Integer type;

    @Column(name = "status")
    private Integer status;

    @Column(name = "payment_status")
    private Integer paymentStatus;

    @Column(name = "delivery_fee")
    private Integer deliveryFee;

    @Column(name = "create_time", nullable = false)
    private Date createTime;

    @Column(name = "payment_time")
    private Date paymentTime;

    @Column(name = "delivery_time")
    private Date deliveryTime;
    /**
     * 删除标识：0-未删除；1-已删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    @Column(name = "user_address_id")
    private Integer userAddressId;

    @Column(name = "contact_name")
    private String contactName;

    @Column(name = "mobile")
    private String mobile;

    @Column(name = "shop_id")
    private int shopId;

    @Column(name = "pay_type")
    private int payType;

    @Column(name = "payment_no")
    private String paymentNo;

    @Column(name = "refund_time")
    private Date refundTime;

    @Column(name = "ext_data")
    private String extData;

    @Column(name = "order_amount")
    private Integer orderAmount;
    @Column(name = "wechat_pay_amount")
    private Integer wechatPayAmount;
    @Column(name = "coin_pay_amount")
    private Integer coinPayAmount;
    @Column(name = "f2f_pay_amount")
    private Integer f2fPayAmount;

    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;
    @Column(name = "pickup_code")
    private String pickupCode;
    @Column(name = "refund_status")
    private Integer refundStatus;
    /**
     * 下单时记录职工科室信息
     */
    @Column(name = "dept_name")
    private String deptName;
    @Column(name = "staff_id")
    private Integer staffId;
    @Column(name = "ext_status")
    private Integer extStatus;

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Integer getDeliveryFee() {
        return deliveryFee;
    }

    public void setDeliveryFee(Integer deliveryFee) {
        this.deliveryFee = deliveryFee;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public Date getDeliveryTime() {
        return deliveryTime;
    }

    public void setDeliveryTime(Date deliveryTime) {
        this.deliveryTime = deliveryTime;
    }

    public Integer getUserAddressId() {
        return userAddressId;
    }

    public void setUserAddressId(Integer userAddressId) {
        this.userAddressId = userAddressId;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public int getShopId() {
        return shopId;
    }

    public void setShopId(int shopId) {
        this.shopId = shopId;
    }

    public int getPayType() {
        return payType;
    }

    public void setPayType(int payType) {
        this.payType = payType;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getExtData() {
        return extData;
    }

    public void setExtData(String extData) {
        this.extData = extData;
    }

    public Integer getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(Integer orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Integer getWechatPayAmount() {
        return wechatPayAmount;
    }

    public void setWechatPayAmount(Integer wechatPayAmount) {
        this.wechatPayAmount = wechatPayAmount;
    }

    public Integer getCoinPayAmount() {
        return coinPayAmount;
    }

    public void setCoinPayAmount(Integer coinPayAmount) {
        this.coinPayAmount = coinPayAmount;
    }

    public Integer getF2fPayAmount() {
        return f2fPayAmount;
    }

    public void setF2fPayAmount(Integer f2fPayAmount) {
        this.f2fPayAmount = f2fPayAmount;
    }

    public String getPickupCode() {
        return pickupCode;
    }

    public void setPickupCode(String pickupCode) {
        this.pickupCode = pickupCode;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public Integer getStaffId() {
        return staffId;
    }

    public void setStaffId(Integer staffId) {
        this.staffId = staffId;
    }

    public Integer getExtStatus() {
        return extStatus;
    }

    public void setExtStatus(Integer extStatus) {
        this.extStatus = extStatus;
    }


    /**
     * 删除标识：0-未删除；1-已删除
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public Boolean isDeleted() {
        return deleted;
    }

    /**
     * 下单时记录职工科室信息
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /**
     * 下单时记录职工科室信息
     */
    public String getDeptName() {
        return deptName;
    }

    @Override
    public String toString() {
        return "UserMealOrderView{" +
                "id=" + id + '\'' +
                "orderId=" + orderId + '\'' +
                "orderNo=" + orderNo + '\'' +
                "type=" + type + '\'' +
                "status=" + status + '\'' +
                "paymentStatus=" + paymentStatus + '\'' +
                "deliveryFee=" + deliveryFee + '\'' +
                "createTime=" + createTime + '\'' +
                "paymentTime=" + paymentTime + '\'' +
                "deliveryTime=" + deliveryTime + '\'' +
                "deleted=" + deleted + '\'' +
                "userAddressId=" + userAddressId + '\'' +
                "contactName=" + contactName + '\'' +
                "mobile=" + mobile + '\'' +
                "shopId=" + shopId + '\'' +
                "payType=" + payType + '\'' +
                "paymentNo=" + paymentNo + '\'' +
                "refundTime=" + refundTime + '\'' +
                "extData=" + extData + '\'' +
                "orderAmount=" + orderAmount + '\'' +
                "wechatPayAmount=" + wechatPayAmount + '\'' +
                "coinPayAmount=" + coinPayAmount + '\'' +
                "f2fPayAmount=" + f2fPayAmount + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "pickupCode=" + pickupCode + '\'' +
                "refundStatus=" + refundStatus + '\'' +
                "deptName=" + deptName + '\'' +
                "staffId=" + staffId + '\'' +
                "extStatus=" + extStatus + '\'' +
                '}';
    }
}
